Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-4283

Update PMT to use only semantic_puppet versions (not SemVer)

    XMLWordPrintable

    Details

    • Template:
    • Team:
      Puppet Developer Experience
    • Story Points:
      3
    • Sprint:
      PDE 2017-01-11, PDE 2017-01-25, PDE 2017-02-08
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      Hide
      The Puppet Module Tool (PMT) used both the vendored Semantic library and the Puppet::SemVer module to check version numbers for modules. Now PMT only uses the vendored Semantic library.

      This removes inconsistencies between the various places semantic versions were compared as well as fixing issues with certain types of version compares as the Semantic library is now updated.
      Show
      The Puppet Module Tool (PMT) used both the vendored Semantic library and the Puppet::SemVer module to check version numbers for modules. Now PMT only uses the vendored Semantic library. This removes inconsistencies between the various places semantic versions were compared as well as fixing issues with certain types of version compares as the Semantic library is now updated.
    • QA Risk Assessment:
      No Action
    • QA Risk Assessment Reason:
      internal dependency change

      Description

      Currently, PMT uses both the vendored Semantic library and the Puppet::SemVer module to check version numbers for modules. PMT should be only using the vendored Semantic library.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              anderson Anderson Mills
              QA Contact:
              Eric Thompson
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support